# Шаблон приложения

Данный шаблон предназначен для использования в рамках курса по разработке 
веб-приложений. Он используется для выполнения автоматизированной проверки 
результатов работы студентов.

### Использование шаблона во время проверки

Во время автоматизированной проверки из каталога с исходными кодами работы 
студента берутся только:
* Каталог с исходными файлами, `src`.
* Файл с упрощёнными настройками сборки, `build.properties.json`.
Остальные файлы берутся из данного каталога.

Для успешного прохождения проверки студентам рекомендуется изменять только 
лишь указанные части проекта.

### Настройка стартового файла приложения

В файле `build.properties.json` нужно указать путь к стартовому файлу 
приложения. Для этих целей необходимо корректно заполнить свойство 
`mainClass`. Если оно заполнено корректно, то приложение должно запуститься 
путём запуска задачи `run`:

```bash
./gradlew run
```

В шаблоне предоставляется стартовый файл `ru.yarsu.Main.kt`. В свойстве 
`mainClass` он указывается как `ru.yarsu.MainKt`:

```json
{
  "mainClass": "ru.yarsu.MainKt"
}
```

После внесения изменений в файл `build.properties.json` необходимо 
перезагрузить конфигурацию Gradle в среде разработки.

### Настройка списка зависимостей приложения

В файле `build.properties.json` можно указать список Maven-зависимостей 
приложения. Они указываются в виде массива строк в поле `dependencies`. 

Например, для добавления зависимости от библиотеки 
[kotlin-csv](https://github.com/doyaaaaaken/kotlin-csv) необходимо в список 
добавить зависимость: `"com.github.doyaaaaaken:kotlin-csv-jvm:1.9.3"`. 
Следовательно, в файле `build.properties.json` будет указано:

```json
{
  "dependencies": [
    "com.jsoizo:kotlin-csv:1.10.0"
  ]
}
```

После внесения изменений в файл `build.properties.json` необходимо
перезагрузить конфигурацию Gradle в среде разработки.
